Bug 1729704 - No provider of glEGLImageTargetTexture2DOES found
Summary: No provider of glEGLImageTargetTexture2DOES found
Keywords:
Status: NEW
Alias: None
Product: Fedora
Classification: Fedora
Component: spice-gtk
Version: 30
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Christophe Fergeau
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-13 19:18 UTC by Laurent Vivier
Modified: 2019-07-25 12:20 UTC (History)
12 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)

Description Laurent Vivier 2019-07-13 19:18:44 UTC
Description of problem:

Started Fedora 30 installer disk image and gnome-boxe exits with

No provider of glEGLImageTargetTexture2DOES found.  Requires one of:
    GL extension "GL_OES_EGL_image"
Aborted (core dumped)


Version-Release number of selected component (if applicable):

gnome-boxes-3.32.1-2.fc30.x86_64

mesa-dri-drivers-19.0.8-1.fc30.x86_64
mesa-filesystem-19.0.8-1.fc30.x86_64
mesa-libEGL-19.0.8-1.fc30.x86_64
mesa-libGL-19.0.8-1.fc30.x86_64
mesa-libOpenCL-19.0.8-1.fc30.x86_64
mesa-libgbm-19.0.8-1.fc30.x86_64
mesa-vulkan-drivers-19.0.8-1.fc30.x86_64
mesa-libxatracker-19.0.8-1.fc30.x86_64
mesa-libGLES-19.0.8-1.fc30.x86_64
mesa-libOSMesa-19.0.8-1.fc30.x86_64
mesa-libglapi-19.0.8-1.fc30.x86_64
mesa-libGLU-9.0.0-17.fc30.x86_64

spice-vdagent-0.19.0-1.fc30.x86_64
spice-gtk3-0.37-2.fc30.x86_64
spice-glib-0.37-2.fc30.x86_64
spice-server-0.14.2-1.fc30.x86_64

How reproducible:

100%

Steps to Reproduce:
1. start gnome-boxes
2. "New"
3. Select "Fedora 30 Workstation (Live)"
4. "Create"

The new machine console opens and gnome-boxes crashes immediately.

Actual results:

gnome-boxes crashes

No provider of glEGLImageTargetTexture2DOES found.  Requires one of:
    GL extension "GL_OES_EGL_image"
Aborted (core dumped)

Expected results:

No crash

Additional info:

$ lscpu
Architecture:        x86_64
CPU op-mode(s):      32-bit, 64-bit
Byte Order:          Little Endian
Address sizes:       39 bits physical, 48 bits virtual
CPU(s):              8
On-line CPU(s) list: 0-7
Thread(s) per core:  2
Core(s) per socket:  4
Socket(s):           1
NUMA node(s):        1
Vendor ID:           GenuineIntel
CPU family:          6
Model:               60
Model name:          Intel(R) Core(TM) i7-4790 CPU @ 3.60GHz
Stepping:            3
CPU MHz:             1570.725
CPU max MHz:         4000.0000
CPU min MHz:         800.0000
BogoMIPS:            7414.96
Virtualization:      VT-x
L1d cache:           32K
L1i cache:           32K
L2 cache:            256K
L3 cache:            8192K
NUMA node0 CPU(s):   0-7
Flags:               fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe syscall nx pdpe1gb rdtscp lm constant_tsc arch_perfmon pebs bts rep_good nopl xtopology nonstop_tsc cpuid aperfmperf pni pclmulqdq dtes64 monitor ds_cpl vmx smx est tm2 ssse3 sdbg fma cx16 xtpr pdcm pcid sse4_1 sse4_2 x2apic movbe popcnt tsc_deadline_timer aes xsave avx f16c rdrand lahf_lm abm cpuid_fault epb invpcid_single pti ssbd ibrs ibpb stibp tpr_shadow vnmi flexpriority ept vpid ept_ad fsgsbase tsc_adjust bmi1 avx2 smep bmi2 erms invpcid xsaveopt dtherm ida arat pln pts md_clear flush_l1d

$ sudo lspci -s 01:00.0 -vv
[sudo] password for laurent: 
01:00.0 VGA compatible controller: NVIDIA Corporation GK107 [GeForce GT 640] (rev a1) (prog-if 00 [VGA controller])
	Subsystem: ASUSTeK Computer Inc. Device 83f3
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin A routed to IRQ 42
	Region 0: Memory at de000000 (32-bit, non-prefetchable) [size=16M]
	Region 1: Memory at c0000000 (64-bit, prefetchable) [size=256M]
	Region 3: Memory at d0000000 (64-bit, prefetchable) [size=32M]
	Region 5: I/O ports at e000 [size=128]
	[virtual] Expansion ROM at 000c0000 [disabled] [size=128K]
	Capabilities: [60] Power Management version 3
		Flags: PMEClk- DSI- D1- D2- AuxCurrent=0mA PME(D0-,D1-,D2-,D3hot-,D3cold-)
		Status: D0 NoSoftRst+ PME-Enable- DSel=0 DScale=0 PME-
	Capabilities: [68] MSI: Enable+ Count=1/1 Maskable- 64bit+
		Address: 00000000fee02004  Data: 4024
	Capabilities: [78] Express (v1) Endpoint, MSI 00
		DevCap:	MaxPayload 256 bytes, PhantFunc 0, Latency L0s unlimited, L1 <64us
			ExtTag+ AttnBtn- AttnInd- PwrInd- RBE+ FLReset- SlotPowerLimit 75.000W
		DevCtl:	CorrErr- NonFatalErr- FatalErr- UnsupReq-
			RlxdOrd+ ExtTag+ PhantFunc- AuxPwr- NoSnoop-
			MaxPayload 256 bytes, MaxReadReq 512 bytes
		DevSta:	CorrErr- NonFatalErr- FatalErr- UnsupReq- AuxPwr- TransPend-
		LnkCap:	Port #0, Speed 2.5GT/s, Width x16, ASPM L0s L1, Exit Latency L0s <512ns, L1 <4us
			ClockPM+ Surprise- LLActRep- BwNot- ASPMOptComp+
		LnkCtl:	ASPM Disabled; RCB 64 bytes Disabled- CommClk+
			ExtSynch- ClockPM+ AutWidDis- BWInt- AutBWInt-
		LnkSta:	Speed 2.5GT/s (ok), Width x16 (ok)
			TrErr- Train- SlotClk+ DLActive- BWMgmt- ABWMgmt-
	Capabilities: [b4] Vendor Specific Information: Len=14 <?>
	Capabilities: [100 v1] Virtual Channel
		Caps:	LPEVC=0 RefClk=100ns PATEntryBits=1
		Arb:	Fixed- WRR32- WRR64- WRR128-
		Ctrl:	ArbSelect=Fixed
		Status:	InProgress-
		VC0:	Caps:	PATOffset=00 MaxTimeSlots=1 RejSnoopTrans-
			Arb:	Fixed- WRR32- WRR64- WRR128- TWRR128- WRR256-
			Ctrl:	Enable+ ID=0 ArbSelect=Fixed TC/VC=01
			Status:	NegoPending- InProgress-
	Capabilities: [128 v1] Power Budgeting <?>
	Capabilities: [600 v1] Vendor Specific Information: ID=0001 Rev=1 Len=024 <?>
	Kernel driver in use: nvidia
	Kernel modules: nouveau, nvidia_drm, nvidia



$ uname -r
5.1.16-300.fc30.x86_64
$ modinfo nvidia
filename:       /lib/modules/5.1.16-300.fc30.x86_64/extra/nvidia/nvidia.ko
alias:          char-major-195-*
version:        430.26
supported:      external
license:        NVIDIA
srcversion:     89BDA0F56877588EC9454C6
alias:          pci:v000010DEd00000E00sv*sd*bc04sc80i00*
alias:          pci:v000010DEd*sv*sd*bc03sc02i00*
alias:          pci:v000010DEd*sv*sd*bc03sc00i00*
depends:        ipmi_msghandler
retpoline:      Y
name:           nvidia
vermagic:       5.1.16-300.fc30.x86_64 SMP mod_unload 
...

Comment 1 Tom W Norton 2019-07-24 03:46:58 UTC
My gnome-boxes crashes with the same error (No provider of glEGLImageTargetTexture2DOES found) when I try to open my Windows 10 virtual machine.

 - It worked when I was using Fedora 29 with the NVIDIA 418.43 driver
 - It's been crashing since I upgraded to Fedora 30 (5.1.18-300.fc30.x86_64) with the NVIDIA 430.34 driver

Comment 2 Laurent Vivier 2019-07-25 12:20:19 UTC
Found related bugs:

No provider of glEGLImageTargetTexture2DOES found with NVIDIA proprietary driver
https://github.com/anholt/libepoxy/issues/148

No provider of glEGLImageTargetTexture2DOES found with NVIDIA proprietary driver
https://gitlab.freedesktop.org/spice/spice-gtk/issues/100

re-assign this BZ to spice-gtk as backtrace is:

#0  0x00007fb0aecb9e75 in raise () at /lib64/libc.so.6
#1  0x00007fb0aeca4895 in abort () at /lib64/libc.so.6
#2  0x00007fb0ae2c78c2 in gl_provider_resolver (name=<optimized out>, providers=0x7ffca9ead274, entrypoints=<optimized out>) at src/gl_generated_dispatch.c:74583
#3  0x00007fb0ae2c7911 in gl_single_resolver (provider=provider@entry=GL_extension_GL_OES_EGL_image, entrypoint_offset=<optimized out>, entrypoint_offset@entry=12718)
    at src/gl_generated_dispatch.c:74596
#4  0x00007fb0ae2cf1cf in epoxy_glEGLImageTargetTexture2DOES_resolver () at src/gl_generated_dispatch.c:82401
#5  0x00007fb0ae2cf1cf in epoxy_glEGLImageTargetTexture2DOES_global_rewrite_ptr (target=3553, image=0x0) at src/gl_generated_dispatch.c:48129
#6  0x00007fb0b1ea241c in spice_egl_update_scanout (display=display@entry=0x56101c0b6530, scanout=0x56101c09f138, err=err@entry=0x7ffca9ead340)
    at ../src/spice-widget-egl.c:683
#7  0x00007fb0b1e9b432 in spice_display_widget_gl_scanout (display=<optimized out>) at ../src/spice-widget.c:3107
#8  0x00007fb0b1ea1681 in spice_egl_init (display=display@entry=0x56101c0b6530, err=err@entry=0x7ffca9ead3d0) at ../src/spice-widget-egl.c:283
#9  0x00007fb0b1e9b3d4 in spice_display_widget_gl_scanout (display=<optimized out>) at ../src/spice-widget.c:3084
...


Note You need to log in before you can comment on or make changes to this bug.